package com.bonus.sharedstation.web.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;

import javax.validation.constraints.NotBlank;
import java.util.Date;
import java.util.List;

/**
 * 存储急救设备信息的实体类
 */
@TableName("yz_emergency_equipment")
public class EmergencyEquipment implements java.io.Serializable {

    /**
     * 序列化版本号
     */
    private static final long serialVersionUID = -8270716895549511798L;

    /**
     * 唯一标识符
     */
    private int id;

    /**
     * 设备名称
     */

    private String equipmentName;

    /**
     * 存放位置
     */

    private String storageLocation;

    /**
     * 设备图片URL
     */

    private String equipmentImageUrl;

    /**
     * 设备类型存的是字典
     */

    @NotBlank(message = "设备类型不能为空")
    private String equipmentType;

    @TableField(exist = false)
    private String equipmentTypeName;

    /**
     * 创建人
     */

    private String createdBy;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createdTime;

    /**
     * 修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updatedTime;

    /**
     * 修改人
     */
    private String updatedBy;

    /**
     * 逻辑删除标识，1表示已删除，0表示未删除
     */
    private String isDeleted;

    /**
     * 租户ID
     */

    /**
     * 操作步骤
     */
    @TableField(exist = false)
    private List<LocationDetail> locationDetails;
    public List<LocationDetail> getLocationDetails() {
        return locationDetails;
    }

    public void setLocationDetails(List<LocationDetail> locationDetails) {
        this.locationDetails = locationDetails;
    }

    public String getEquipmentTypeName() {
        return equipmentTypeName;
    }

    public void setEquipmentTypeName(String equipmentTypeName) {
        this.equipmentTypeName = equipmentTypeName;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getEquipmentName() {
        return equipmentName;
    }

    public void setEquipmentName(String equipmentName) {
        this.equipmentName = equipmentName;
    }

    public String getStorageLocation() {
        return storageLocation;
    }

    public void setStorageLocation(String storageLocation) {
        this.storageLocation = storageLocation;
    }

    public String getEquipmentImageUrl() {
        return equipmentImageUrl;
    }

    public void setEquipmentImageUrl(String equipmentImageUrl) {
        this.equipmentImageUrl = equipmentImageUrl;
    }

    public String getEquipmentType() {
        return equipmentType;
    }

    public void setEquipmentType(String equipmentType) {
        this.equipmentType = equipmentType;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public Date getUpdatedTime() {
        return updatedTime;
    }

    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }

    public String getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy;
    }

    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }


    @Override
    public String toString() {
        return "EmergencyEquipment{" +
                "id=" + id +
                ", equipmentName='" + equipmentName + '\'' +
                ", storageLocation='" + storageLocation + '\'' +
                ", equipmentImageUrl='" + equipmentImageUrl + '\'' +
                ", equipmentType='" + equipmentType + '\'' +
                ", equipmentTypeName='" + equipmentTypeName + '\'' +
                ", createdBy='" + createdBy + '\'' +
                ", createdTime=" + createdTime +
                ", updatedTime=" + updatedTime +
                ", updatedBy='" + updatedBy + '\'' +
                ", isDeleted=" + isDeleted +
                ", locationDetails=" + locationDetails +
                '}';
    }
}
